Jupiter ERP
Account API

List TextTemplates

/api/account/text-templates

GETHTTP
get/api/account/text-templates

Example request

GET https://api.jupiter-erp.com/api/account/text-templates

Code
curl -X GET 'https://api.jupiter-erp.com/api/account/text-templates' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
  -H 'Accept: application/json'

Parameters

NameInRequiredDescription
namequerynoSupports SQL-like syntax: - `test*`: begins with `test` - `*test`: ends with `test` - `*test*`: contains `test` - `test`: exact match.
types[]queryno
document_types[]queryno
positions[]queryno
is_defaultqueryno
order_byquerynoSort by a specific field
#/components/parameters/OrderDirParameter
#/components/parameters/PerPageParameter
#/components/parameters/PageParameter

Responses

200OK
FieldTypeDescription
data*object[]

array

Elements

FieldTypeDescription
content*string
created_atstring (date-time)Creation timestamp in ISO 8601 format.
document_typestring

string

  • all
  • custom_document
  • quote
  • order_confirmation
  • delivery_note
  • invoice
  • dunning
  • credit_note
  • accounting_export
id*integer
is_defaultboolean
name*string
position*string

string

  • subject
  • top
  • bottom
type*string

string

  • document
  • email
  • generic
updated_atstring (date-time)Last update timestamp in ISO 8601 format.
visible_for_meboolean
meta*object
FieldTypeDescription
current_page*integerThe current page number.
items_from*integerThe starting item number on the current page.
items_to*integerThe ending item number on the current page.
last_page*integerThe last page number.
per_page*integerThe number of items per page.
total*integerThe total number of items.
Example response
{
  "data": [
    {
      "id": 0,
      "name": "string",
      "type": "document",
      "document_type": "all",
      "position": "subject",
      "is_default": true,
      "content": "string"
    }
  ],
  "meta": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 15,
    "total": 1,
    "items_from": 1,
    "items_to": 1
  }
}
TextTemplates

Questions about integration?

GET /api/account/text-templates · Jupiter ERP